package com.fjhx.sale.entity.claim.po;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 到账认领-合同关联表
 * </p>
 *
 * @author 
 * @since 2023-04-18
 */
@Getter
@Setter
@TableName("claim_contract")
public class ClaimContract extends BasePo {

    /**
     * 合同ID
     */
    private Long contractId;

    /**
     * 到账认领ID
     */
    private Long claimId;
    /**
     * 关联金额
     */
    private BigDecimal money;

    /**
     * 合同编码
     */
    private String contractCode;

    /**
     * 币种
     */
    private String currency;

    /**
     * 业务ID
     */
    @TableField(exist = false)
    private Long businessId;

    /**
     * 汇率
     */
    @TableField(exist = false)
    private BigDecimal rate;

    /**
     * 操作人
     */
    @TableField(exist = false)
    private String userName;
}
